Bug 8339 - Kaffeine падает при попытке изменить привязки клавиш
: Kaffeine падает при попытке изменить привязки клавиш
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kaffeine)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-25 17:02 by
Modified: 2006-12-06 00:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-25 17:02:30
Когда проигрывается фильм, попытка открыть Settings -> Configure Shortcuts
приводит к краху приложения. Вывод в консоли:

[olvin@enigma olvin]$ kaffeine
kbuildsycoca running...
DVB 0 : No such file or directory
DVB 1 : No such file or directory
DVB 2 : No such file or directory
DVB 3 : No such file or directory
kaffeine: No DVB device found.
kaffeine: Window manager: not KWin - using save fullscreen mode
kaffeine: SystemTray: Create System Tray
kaffeine: Kaffeine:: Try to load service: kaffeine_part
kaffeine: This is a KMediaPart...
kaffeine: KaffeinePart: Creating new KaffeinePart...
kaffeine: KaffeinePart: Using xine-config file:
/home/olvin/.kde/share/apps/kaffeine/xine-config
kaffeine: PlayList: add 1 items to playlist
kaffeine: PlayList: Check for kaffeine/noatun/m3u/pls/asx playlist
kaffeine: PlayList: Try loading kaffeine playlist
kaffeine: PlaylistImport: kaffeine:
/home/olvin/.kde/share/apps/kaffeine/playlists/Плейлист1.kaffeine
kaffeine: Kaffeine: Set screensaver timeout to: 2 min
[olvin@enigma olvin]$ kio (KMimeType): WARNING: KServiceType::offers :
servicetype ThumbCreator not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype ThumbCreator not
found
kaffeine: PlayList: add 1 items to playlist
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-mpeg not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-mpeg not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-mpeg2 not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-mpeg2 not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-msmpeg not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-msmpeg not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/vnd.mpegurl
not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/vnd.mpegurl
not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-mpegurl
not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-mpegurl
not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype audio/x-ms-asf not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype audio/x-ms-asf not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype audio/x-ms-wax not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype audio/x-ms-wax not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype audio/x-ms-wmp not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype audio/x-ms-wmp not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-ms-afs not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-ms-afs not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-ms-wmp not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-ms-wmp not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-ms-wma not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-ms-wma not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-ms-wvx not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-ms-wvx not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-ms-wmx not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-ms-wmx not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype
application/x-ms-asf not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype
application/x-ms-asf not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype audio/x-pls not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype audio/x-pls not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype audio/vnd.mpegurl
not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype audio/vnd.mpegurl
not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype audio/x-realaudio
not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype audio/x-realaudio
not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype
application/x-pn-realaudio not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype
application/x-pn-realaudio not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-realvideo
not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-realvideo
not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype
video/x-pn-realvideo not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype
video/x-pn-realvideo not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype
video/x-pn-realvideo-plugin not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype
video/x-pn-realvideo-plugin not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype
application/vnd.rn-realplayer not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype
application/vnd.rn-realplayer not found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/nsv not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/nsv not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-avi not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-avi not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-divx not
found
kio (KMimeType): WARNING: KServiceType::offers : servicetype video/x-divx not
found
kaffeine: PlayList: Check for subtitle files
kaffeine: KaffeinePart::openURL(): /mnt/cdrom/Terminator 3 - Rise of the
Machines (part 1 of 2).avikaffeine: KaffeinePart: Got single track
kaffeine: KaffeinePart::slotPlay()
kaffeine: KXineWidget: Display aspect ratio (v/h): 0.998746
kaffeine: KXineWidget: Using xine version 1.1.0
kaffeine: KXineWidget: Post-init xine engine
kaffeine: KXineWidget: Use audio driver auto
kaffeine: KXineWidget: Use video driver xv
kaffeine: KXineWidget: Init video driver
kaffeine: KXineWidget: Init audio driver
kaffeine: KXineWidget: Init OSD
kaffeine: KXineWidget: Font for OSD: sans
kaffeine: KXineWidget: Unscaled OSD available
kaffeine: KXineWidget: xine init successful
kaffeine: KaffeinePart: load config
kaffeine: Set volume to: 70
kaffeine: KXineWidget: New visualization plugin: goom
kaffeine: PostFilter: Create Postprocessing Filter: tvtime
kaffeine: PostFilter: Parameter: method
kaffeine: PostFilter: Parameter: enabled
kaffeine: PostFilter: Parameter: pulldown
kaffeine: PostFilter: Parameter: framerate_mode
kaffeine: PostFilter: Parameter: judder_correction
kaffeine: PostFilter: Parameter: use_progressive_frame_flag
kaffeine: PostFilter: Parameter: chroma_filter
kaffeine: PostFilter: Parameter: cheap_mode
kaffeine: PostFilter: Get input
kaffeine: PostFilter: Get output
kaffeine: PostFilter: SetConfig
tvtime:method=LinearBlend,enabled=1,pulldown=none,framerate_mode=half_top,judder_correction=0,use_progressive_frame_flag=1,chroma_filter=0,cheap_mode=1
kaffeine: PostFilter: Set parameter 'method' to value 'LinearBlend'
kaffeine: PostFilter: tvtime Apply integer value 2 on offset 0
kaffeine: PostFilter: Set parameter 'enabled' to value '1'
kaffeine: PostFilter: tvtime Apply integer value 1 on offset 4
kaffeine: PostFilter: Set parameter 'pulldown' to value 'none'
kaffeine: PostFilter: tvtime Apply integer value 0 on offset 8
kaffeine: PostFilter: Set parameter 'framerate_mode' to value 'half_top'
kaffeine: PostFilter: tvtime Apply integer value 1 on offset 12
kaffeine: PostFilter: Set parameter 'judder_correction' to value '0'
kaffeine: PostFilter: tvtime Apply integer value 0 on offset 16
kaffeine: PostFilter: tvtime Apply integer value 0 on offset 16
kaffeine: PostFilter: Set parameter 'use_progressive_frame_flag' to value '1'
kaffeine: PostFilter: tvtime Apply integer value 1 on offset 20
kaffeine: PostFilter: Set parameter 'chroma_filter' to value '0'
kaffeine: PostFilter: tvtime Apply integer value 0 on offset 24
kaffeine: PostFilter: Set parameter 'cheap_mode' to value '1'
kaffeine: PostFilter: tvtime Apply integer value 1 on offset 28
kaffeine: PostFilter: tvtime Apply integer value 1 on offset 28
kaffeine: KXineWidget: Deinterlace enabled: 1
kaffeine: PostFilter: Get output
kaffeine: PostFilter: Get input
kaffeine: KXineWidget: Playing: /mnt/cdrom/Terminator 3 - Rise of the Machines
(part 1 of 2).avi
kaffeine: KXineWidget: Start event loop...
kaffeine: KXineWidget: xine event: channels changed
kaffeine: KXineWidget: xine event: channels changed
kaffeine: KXineWidget: New video frame size: 641x272 - aspect ratio: 1
kaffeine: KXineWidget: New video frame size: 640x272 - aspect ratio: 0.998746
kaffeine: KXineWidget: Switch to audio channel -1
kaffeine: KaffeinePart: xine is playing
kaffeine: KaffeinePart: got new frame size from xine
kaffeine: Kaffeine: new video frame size: 640x272
kaffeine: KaffeinePart: got new frame size from xine
kaffeine: Kaffeine: new video frame size: 640x272
KCrash: Application 'kaffeine' crashing...
Unable to start Dr. Konqi

На последней строчке приходится жать Ctrl+C для прерывания работы и получения
ком. строки.
Steps to Reproduce:
1.Запустить kaffeine
2.Начать воспроизведение фильма
3.Попробовать зайти Settings -> Configure Shortcuts

Actual Results:  
Крах приложения

Expected Results:  
Открытие окна изменения привязки клавишь к действиям в Kaffeine (с продолжением
проигрывания фильма на заднем плане).
------- Comment #1 From 2006-12-05 13:59:56 -------
За год не поправилось часом?
------- Comment #2 From 2006-12-06 00:36:54 -------
(In reply to comment #1)
> За год не поправилось часом?

Увы, не имею возможности проверить. Сижу на ALC3.0. Но в нём такое не
воспроизводится, я так понял, был у меня на более старой версии. Если у кого
Сизиф, тот сможет проверить точно, хотя судя по архиву, всё верно.
Помечаю как FIXED.